HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5I H5P H5R H5RA H5S H5T H5Z Tools

# H5I: Identifier Interface

## Identifier API Functions

This function provides a tool for working with object identifiers.

- H5Iget_type

Name: H5Iget_type
Signature:
  H5I_type_t `H5Iget_type`(hid_t `obj_id`)
Purpose:
  Retrieves the type of an object.
Description:
  `H5Iget_type` retrieves the type of the object identified by `obj_id`.

  Valid types returned by the function are

  `H5I_FILE` | File
  `H5I_GROUP` | Group
  `H5I_DATATYPE` | Datatype
  `H5I_DATASPACE` | Dataspace
  `H5I_DATASET` | Dataset
  `H5I_ATTR` | Attribute

  If no valid type can be determined or the identifier submitted is invalid, the function returns

  `H5I_BADID` | Invalid identifier

  This function is of particular value in determining the type of object closing function (`H5Dclose`, `H5Gclose`, etc.) to call after a call to `H5Rdereference`.

Parameters:

hid_t `obj_id`
  IN: Object identifier whose type is to be determined.

Returns:
  Returns the object type if successful; otherwise `H5I_BADID`.

HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5I H5P H5R H5RA H5S H5T H5Z Tools

HDF Help Desk
Last modified: 27 October 1998